{ pkgs ? import <nixpkgs> {} }:

pkgs.mkShell {
  buildInputs = with pkgs; [
    nodejs_24
    nodePackages.pnpm
    chromium
    git
    curl
  ];

  shellHook = ''
    echo "🚀 atridotdad development environment loaded!"
    echo "Node version: $(node --version)"
    echo "pnpm version: $(pnpm --version)"
    echo "Chromium path: ${pkgs.chromium}/bin/chromium"
    
    export PUPPETEER_SKIP_CHROMIUM_DOWNLOAD=true
    export PUPPETEER_EXECUTABLE_PATH="${pkgs.chromium}/bin/chromium"
    
    if [ ! -d "node_modules" ]; then
      echo "📦 Installing dependencies..."
      pnpm install
    fi
  '';

  # Environment variables
  PUPPETEER_SKIP_CHROMIUM_DOWNLOAD = "true";
  PUPPETEER_EXECUTABLE_PATH = "${pkgs.chromium}/bin/chromium";
}